import { createI18n } from 'vue-i18n'

import DefaultTheme from 'vitepress/theme'
import en from '../../../src/locales/en_US.json'

import Layout from './Layout.vue'
// import '~/../dist/style.css'

export default {
  ...DefaultTheme,
  Layout: Layout,
  enhanceApp({ app }) {
    const i18n = createI18n({
      legacy: false,
      locale: 'en',
      fallbackLocale: 'en',
      messages: { en }
    })

    // app.use(Funkwhale)

    // Simsalabim: Incantation for a confused i18n... Thank you s-ol https://github.com/vikejs/vike/discussions/1778#discussioncomment-10192261
    if (!('__VUE_PROD_DEVTOOLS__' in globalThis)) {
      (globalThis as any).__VUE_PROD_DEVTOOLS__ = false;
    }
    app.use(i18n)
  }
}
